curl --request POST \
--url https://api.interchange.io/api/v2/buyer/products/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"buying_mode": "brief"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/products/query"
payload = { "buying_mode": "brief" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({buying_mode: 'brief'})
};
fetch('https://api.interchange.io/api/v2/buyer/products/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "completed",
"products": [
{
"product_id": "sf1:42:d2g6c291cmNlOnByb2R1Y3Q",
"name": "<string>",
"description": "<string>",
"publisher_properties": [
{
"selection_type": "all",
"publisher_domain": "<string>",
"publisher_domains": [
"<string>"
]
}
],
"delivery_type": "guaranteed",
"pricing_options": [
{
"pricing_option_id": "<string>",
"pricing_model": "cpm",
"currency": "<string>",
"fixed_price": 1,
"floor_price": 1,
"max_bid": true,
"price_guidance": {
"p25": 1,
"p50": 1,
"p75": 1,
"p90": 1
},
"min_spend_per_package": 1,
"price_breakdown": {
"list_price": 123,
"adjustments": [
{}
]
},
"eligible_adjustments": [
"fee"
]
}
],
"reporting_capabilities": {
"available_reporting_frequencies": [
"hourly"
],
"expected_delay_minutes": 1,
"timezone": "<string>",
"supports_webhooks": true,
"available_metrics": [
"impressions"
],
"date_range_support": "date_range",
"vendor_metrics": [
{
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"metric_id": "<string>"
}
],
"supports_creative_breakdown": true,
"supports_keyword_breakdown": true,
"supports_geo_breakdown": {
"country": true,
"region": true,
"metro": {},
"postal_area": {
"US": [
"zip"
],
"GB": [
"outward"
],
"CA": [
"fsa"
],
"DE": [
"plz"
],
"CH": [
"plz"
],
"AT": [
"plz"
],
"FR": [
"code_postal"
],
"AU": [
"postcode"
],
"BR": [
"cep"
],
"IN": [
"pin"
],
"ZA": [
"postal_code"
],
"us_zip": true,
"us_zip_plus_four": true,
"gb_outward": true,
"gb_full": true,
"ca_fsa": true,
"ca_full": true,
"de_plz": true,
"fr_code_postal": true,
"au_postcode": true,
"ch_plz": true,
"at_plz": true
}
},
"supports_device_type_breakdown": true,
"supports_device_platform_breakdown": true,
"supports_audience_breakdown": true,
"supports_placement_breakdown": true,
"windowed_pull_granularities": [
"hourly"
],
"measurement_windows": [
{
"window_id": "<string>",
"duration_days": 1,
"description": "<string>",
"expected_availability_days": 1,
"is_guarantee_basis": true
}
]
},
"ext": {
"interchange": {
"storefront_id": "<string>",
"storefront_name": "<string>",
"source_product_id": "<string>",
"sales_agent_id": "<string>",
"evaluation": {
"disposition": "accept",
"evaluated": true,
"confidence": 0.5,
"reasons": [
"<string>"
],
"quality_score": 0.5,
"enrichment": {
"summary": "<string>",
"strengths": [
"<string>"
],
"concerns": [
"<string>"
],
"labels": [
"<string>"
]
},
"ranking": {
"rank": 4503599627370496,
"score": 0.5,
"rationale": "<string>",
"provisional": true
}
},
"screening": {
"decision": "accept",
"evaluated": true,
"confidence": 0.5,
"reasons": [
"<string>"
],
"quality_score": 0.5
}
}
},
"channels": [
"display"
],
"format_ids": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 2,
"height": 2,
"duration_ms": 2
}
],
"format_options": [
{
"format_kind": "image",
"params": {
"experimental": true,
"deprecated": true,
"v1_translatable": true,
"since_version": "<string>",
"migration_target_version": "<string>",
"composition_model": "deterministic",
"provenance_required": true,
"platform_extensions": [
{
"uri": "<string>",
"digest": "<string>"
}
],
"synthesis_nondeterministic": true,
"slots": "<unknown>",
"required_connections": [
{
"connection_type": "advertiser_account",
"provider": "<string>",
"required_for": [
"<string>"
],
"scope": "account",
"status": "connected",
"connection_id": "<string>",
"resource_ref": {
"platform_account_id": "<string>",
"identity_id": "<string>",
"handle": "<string>",
"profile_url": "<string>",
"post_id": "<string>",
"post_url": "<string>"
},
"authorization_url": "<string>",
"authorization_instructions": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"reference_mutability": "immutable_snapshot",
"production_window_business_days": 123,
"width": 2,
"height": 2,
"sizes": [
{
"width": 2,
"height": 2
}
],
"min_width": 2,
"max_width": 2,
"min_height": 2,
"max_height": 2,
"aspect_ratio": "<string>",
"max_file_size_kb": 2,
"image_formats": [
"jpg"
],
"ssl_required": true,
"headline_max_chars": 2,
"body_text_max_chars": 2,
"cta_values": [
"<string>"
],
"asset_source": "buyer_uploaded",
"buyer_asset_acceptance": "accepted"
},
"format_option_id": "<string>",
"publisher_domain": "<string>",
"display_name": "<string>",
"applies_to_channels": [
"display"
],
"seller_preference": "preferred",
"canonical_formats_only": true,
"experimental": true,
"format_shape": "<string>",
"v1_format_ref": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 2,
"height": 2,
"duration_ms": 2
}
],
"format_schema": {
"uri": "<string>",
"digest": "<string>"
}
}
],
"placements": [
{
"kind": "publisher_ref",
"placement_id": "<string>",
"mode": "targetable",
"publisher_domain": "<string>",
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"format_ids": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 2,
"height": 2,
"duration_ms": 2
}
],
"format_options": [
{
"format_kind": "image",
"params": {
"experimental": true,
"deprecated": true,
"v1_translatable": true,
"since_version": "<string>",
"migration_target_version": "<string>",
"composition_model": "deterministic",
"provenance_required": true,
"platform_extensions": [
{
"uri": "<string>",
"digest": "<string>"
}
],
"synthesis_nondeterministic": true,
"slots": "<unknown>",
"required_connections": [
{
"connection_type": "advertiser_account",
"provider": "<string>",
"required_for": [
"<string>"
],
"scope": "account",
"status": "connected",
"connection_id": "<string>",
"resource_ref": {
"platform_account_id": "<string>",
"identity_id": "<string>",
"handle": "<string>",
"profile_url": "<string>",
"post_id": "<string>",
"post_url": "<string>"
},
"authorization_url": "<string>",
"authorization_instructions": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"reference_mutability": "immutable_snapshot",
"production_window_business_days": 123,
"width": 2,
"height": 2,
"sizes": [
{
"width": 2,
"height": 2
}
],
"min_width": 2,
"max_width": 2,
"min_height": 2,
"max_height": 2,
"aspect_ratio": "<string>",
"max_file_size_kb": 2,
"image_formats": [
"jpg"
],
"ssl_required": true,
"headline_max_chars": 2,
"body_text_max_chars": 2,
"cta_values": [
"<string>"
],
"asset_source": "buyer_uploaded",
"buyer_asset_acceptance": "accepted"
},
"format_option_id": "<string>",
"publisher_domain": "<string>",
"display_name": "<string>",
"applies_to_channels": [
"display"
],
"seller_preference": "preferred",
"canonical_formats_only": true,
"experimental": true,
"format_shape": "<string>",
"v1_format_ref": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 2,
"height": 2,
"duration_ms": 2
}
],
"format_schema": {
"uri": "<string>",
"digest": "<string>"
}
}
],
"video_placement_types": [
"instream"
],
"audio_distribution_types": [
"music_streaming_service"
],
"sponsored_placement_types": [
"sponsored_search"
],
"social_placement_surfaces": [
"feed"
]
}
],
"video_placement_types": [
"instream"
],
"audio_distribution_types": [
"music_streaming_service"
],
"sponsored_placement_types": [
"sponsored_search"
],
"social_placement_surfaces": [
"feed"
],
"exclusivity": "none",
"forecast": {
"points": [
{
"metrics": {
"audience_size": {
"low": 1,
"mid": 1,
"high": 1
},
"reach": {
"low": 1,
"mid": 1,
"high": 1
},
"frequency": {
"low": 1,
"mid": 1,
"high": 1
},
"impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"clicks": {
"low": 1,
"mid": 1,
"high": 1
},
"spend": {
"low": 1,
"mid": 1,
"high": 1
},
"views": {
"low": 1,
"mid": 1,
"high": 1
},
"completed_views": {
"low": 1,
"mid": 1,
"high": 1
},
"grps": {
"low": 1,
"mid": 1,
"high": 1
},
"engagements": {
"low": 1,
"mid": 1,
"high": 1
},
"follows": {
"low": 1,
"mid": 1,
"high": 1
},
"saves": {
"low": 1,
"mid": 1,
"high": 1
},
"profile_visits": {
"low": 1,
"mid": 1,
"high": 1
},
"measured_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"downloads": {
"low": 1,
"mid": 1,
"high": 1
},
"plays": {
"low": 1,
"mid": 1,
"high": 1
},
"coverage_rate": "<unknown>"
},
"label": "<string>",
"budget": 1,
"product_id": "<string>",
"dimensions": [
{
"kind": "geo",
"geo_level": "country",
"geo_code": "<string>",
"system": "<string>",
"country": "<string>",
"geo_name": "<string>"
}
],
"viewability": {},
"vendor_metric_values": [
{
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"metric_id": "<string>",
"value": {
"low": 1,
"mid": 1,
"high": 1
},
"unit": "<string>",
"measurable_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"breakdown": {}
}
]
}
],
"method": "estimate",
"currency": "<string>",
"forecast_range_unit": "spend",
"demographic_system": "nielsen",
"demographic": "<string>",
"measurement_source": "<string>",
"reach_unit": "individuals",
"generated_at": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z",
"ext": {}
},
"outcome_measurement": {
"type": "<string>",
"attribution": "<string>",
"reporting": "<string>",
"window": {
"interval": 2,
"unit": "seconds"
}
},
"delivery_measurement": {
"vendors": [
{
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
}
],
"provider": "<string>",
"notes": "<string>"
},
"measurement_terms": {
"billing_measurement": {
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"max_variance_percent": 1,
"measurement_window": "<string>",
"finalization_deadline_hours": 1
},
"makegood_policy": {
"available_remedies": [
"additional_delivery"
]
}
},
"performance_standards": [
{
"metric": "viewability",
"threshold": 0.5,
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"standard": "mrc"
}
],
"cancellation_policy": {
"notice_period": {
"interval": 2,
"unit": "seconds"
},
"cancellation_fee": {
"type": "percent_remaining",
"rate": 0.5,
"amount": 1
}
},
"allowed_actions": [
{
"action": "pause",
"modes": [
"self_serve"
],
"allowed_statuses": [
"pending_creatives"
],
"sla": {
"response_max": "<string>",
"completion_max": "<string>"
},
"terms_ref": "<string>"
}
],
"creative_policy": {
"co_branding": "required",
"landing_page": "any",
"templates_available": true,
"provenance_required": true,
"provenance_requirements": {
"require_digital_source_type": true,
"require_disclosure_metadata": true,
"require_embedded_provenance": true
},
"accepted_verifiers": [
{
"agent_url": "<string>",
"feature_id": "<string>",
"providers": [
"<string>"
]
}
]
},
"is_custom": true,
"property_targeting_allowed": true,
"data_provider_signals": [
{
"data_provider_domain": "<string>",
"selection_type": "all"
}
],
"included_signals": [
{
"signal_ref": {
"scope": "product",
"signal_id": "<string>"
},
"signal_id": {
"source": "catalog",
"data_provider_domain": "<string>",
"id": "<string>"
},
"name": "<string>",
"description": "<string>",
"methodology_url": "<string>",
"last_updated": "2023-11-07T05:31:56Z",
"value_type": "binary",
"categories": [
"<string>"
],
"range": {
"min": 123,
"max": 123
}
}
],
"signal_targeting_options": [
{
"signal_ref": {
"scope": "product",
"signal_id": "<string>"
},
"signal_id": {
"source": "catalog",
"data_provider_domain": "<string>",
"id": "<string>"
},
"name": "<string>",
"description": "<string>",
"methodology_url": "<string>",
"last_updated": "<string>",
"value_type": "binary",
"categories": [
"<string>"
],
"range": {
"min": 123,
"max": 123
},
"signal_agent_segment_id": "<string>",
"activation_status": "ready",
"allowed_targeting_modes": [
"include"
],
"default_selected": true,
"selection_group": "<string>",
"pricing_options": [
{
"pricing_option_id": "<string>",
"model": "cpm",
"cpm": 1,
"currency": "<string>",
"applies_to_output_format_ids": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 2,
"height": 2,
"duration_ms": 2
}
],
"ext": {}
}
]
}
],
"signal_targeting_rules": {
"resolution_model": "direct_targeting",
"selection_mode": "optional",
"min_selected_signals": 1,
"max_selected_signals": 2,
"max_selected_per_group": 2,
"max_signal_targeting_groups": 2,
"max_signals_per_targeting_group": 2,
"selection_group_rules": [
{
"selection_group": "<string>",
"targeting_mode": "include",
"selection_mode": "optional",
"min_selected_signals": 1,
"max_selected_signals": 2
}
]
},
"signal_targeting_allowed": true,
"catalog_types": [
"offering"
],
"metric_optimization": {
"supported_metrics": [
"clicks"
],
"supported_reach_units": [
"individuals"
],
"supported_view_durations": [
123
],
"supported_targets": [
"cost_per"
]
},
"vendor_metric_optimization": {
"supported_metrics": [
{
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"metric_id": "<string>",
"supported_targets": [
"cost_per"
]
}
]
},
"max_optimization_goals": 2,
"measurement_readiness": {
"status": "insufficient",
"required_event_types": [
"page_view"
],
"missing_event_types": [
"page_view"
],
"issues": [
{
"severity": "error",
"message": "<string>"
}
],
"notes": "<string>"
},
"conversion_tracking": {
"action_sources": [
"website"
],
"supported_targets": [
"cost_per"
],
"platform_managed": true
},
"catalog_match": {
"submitted_count": 1,
"matched_gtins": [
"<string>"
],
"matched_ids": [
"<string>"
],
"matched_count": 1
},
"brief_relevance": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"product_card": {
"image": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"title": "<string>",
"description": "<string>",
"price_label": "<string>",
"cta_label": "<string>"
},
"product_card_detailed": {
"hero_image": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"carousel_images": [
{
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
}
],
"title": "<string>",
"description": "<string>",
"specifications": [
{
"label": "<string>",
"value": "<string>"
}
],
"price_label": "<string>",
"cta_label": "<string>"
},
"collections": [
{
"publisher_domain": "<string>",
"collection_ids": [
"<string>"
]
}
],
"collection_targeting_allowed": true,
"installments": [
{
"installment_id": "<string>",
"collection_id": "<string>",
"name": "<string>",
"season": "<string>",
"installment_number": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"status": "scheduled",
"duration_seconds": 1,
"flexible_end": true,
"valid_until": "2023-11-07T05:31:56Z",
"content_rating": {
"system": "tv_parental",
"rating": "<string>"
},
"topics": [
"<string>"
],
"special": {
"name": "<string>",
"category": "awards",
"starts": "2023-11-07T05:31:56Z",
"ends": "2023-11-07T05:31:56Z"
},
"guest_talent": [
{
"role": "host",
"name": "<string>",
"brand_url": "<string>"
}
],
"ad_inventory": {
"expected_breaks": 1,
"total_ad_seconds": 1,
"max_ad_duration_seconds": 2,
"unplanned_breaks": true,
"supported_formats": [
"<string>"
]
},
"deadlines": {
"booking_deadline": "2023-11-07T05:31:56Z",
"cancellation_deadline": "2023-11-07T05:31:56Z",
"material_deadlines": [
{
"stage": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"label": "<string>"
}
]
},
"derivative_of": {
"installment_id": "<string>",
"type": "clip"
},
"ext": {}
}
],
"enforced_policies": [
"<string>"
],
"trusted_match": {
"context_match": true,
"identity_match": true,
"response_types": [
"activation"
],
"dynamic_brands": true,
"providers": [
{
"agent_url": "<string>",
"context_match": true,
"identity_match": true,
"countries": [
"<string>"
],
"uid_types": [
"rampid"
]
}
]
},
"material_submission": {
"url": "<string>",
"email": "jsmith@example.com",
"instructions": "<string>",
"ext": {}
}
}
],
"cache_scope": "account",
"ext": {
"interchange": {
"execution_id": "<string>",
"revision": 4503599627370495,
"results_complete": true,
"provisional": true,
"candidate_count": 4503599627370495,
"storefront_results": [
{
"storefront_id": "<string>",
"storefront_name": "<string>",
"product_count": 4503599627370495,
"response_time_ms": 4503599627370495,
"error": "<string>",
"message": "<string>"
}
],
"evaluation": {
"enabled": true,
"evaluation_passes": 4503599627370495,
"ranking_passes": 4503599627370495,
"candidates_evaluated": 4503599627370495,
"candidates_ranked": 4503599627370495,
"accepted": 4503599627370495,
"rejected": 4503599627370495,
"refining": 4503599627370495,
"refinement_limit_reached": 4503599627370495,
"estimated_ius": 1,
"charged_ius": 1,
"model_class": "fast"
},
"screening": {
"enabled": true,
"screening_passes": 4503599627370495,
"candidates_evaluated": 4503599627370495,
"accepted": 4503599627370495,
"rejected": 4503599627370495,
"refining": 4503599627370495,
"refinement_limit_reached": 4503599627370495,
"estimated_ius": 1,
"charged_ius": 1,
"model_class": "fast"
},
"pending_agents": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"storefronts": [
{
"storefront_id": "<string>",
"storefront_name": "<string>"
}
]
}
],
"retry_with_longer_wait_available": true,
"poll_after_ms": 4503599627370496,
"guidance": "<string>"
}
},
"context_id": "<string>",
"context": {},
"task_id": "<string>",
"message": "<string>",
"timestamp": "<string>",
"replayed": true,
"adcp_error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"suggestion": "<string>",
"retry_after": 1800.5,
"issues": [
{
"pointer": "<string>",
"message": "<string>",
"keyword": "<string>",
"schemaPath": "<string>",
"schema_id": "<string>",
"discriminator": [
{
"property_name": "<string>",
"value": "<string>"
}
]
}
],
"details": {},
"recovery": "transient",
"source": "producer",
"sdk_id": "<string>"
},
"push_notification_config": {
"url": "<string>",
"operation_id": "<string>",
"token": "<string>",
"authentication": {
"schemes": [
"Bearer"
],
"credentials": "<string>"
}
},
"governance_context": "<string>",
"payload": {},
"adcp_version": "<string>",
"adcp_major_version": 123,
"extensions": {},
"proposals": [
{
"proposal_id": "sfp1:42:cHJvcG9zYWwtNw",
"name": "<string>",
"allocations": [
{
"product_id": "sf1:42:d2g6c291cmNlOnByb2R1Y3Q",
"allocation_percentage": 50,
"pricing_option_id": "<string>",
"rationale": "<string>",
"sequence": 2,
"tags": [
"<string>"
],
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"daypart_targets": [
{
"days": [
"monday"
],
"start_hour": 11.5,
"end_hour": 12.5,
"label": "<string>"
}
],
"forecast": {
"points": [
{
"metrics": {
"audience_size": {
"low": 1,
"mid": 1,
"high": 1
},
"reach": {
"low": 1,
"mid": 1,
"high": 1
},
"frequency": {
"low": 1,
"mid": 1,
"high": 1
},
"impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"clicks": {
"low": 1,
"mid": 1,
"high": 1
},
"spend": {
"low": 1,
"mid": 1,
"high": 1
},
"views": {
"low": 1,
"mid": 1,
"high": 1
},
"completed_views": {
"low": 1,
"mid": 1,
"high": 1
},
"grps": {
"low": 1,
"mid": 1,
"high": 1
},
"engagements": {
"low": 1,
"mid": 1,
"high": 1
},
"follows": {
"low": 1,
"mid": 1,
"high": 1
},
"saves": {
"low": 1,
"mid": 1,
"high": 1
},
"profile_visits": {
"low": 1,
"mid": 1,
"high": 1
},
"measured_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"downloads": {
"low": 1,
"mid": 1,
"high": 1
},
"plays": {
"low": 1,
"mid": 1,
"high": 1
},
"coverage_rate": "<unknown>"
},
"label": "<string>",
"budget": 1,
"product_id": "<string>",
"dimensions": [
{
"kind": "geo",
"geo_level": "country",
"geo_code": "<string>",
"system": "<string>",
"country": "<string>",
"geo_name": "<string>"
}
],
"viewability": {},
"vendor_metric_values": [
{
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"metric_id": "<string>",
"value": {
"low": 1,
"mid": 1,
"high": 1
},
"unit": "<string>",
"measurable_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"breakdown": {}
}
]
}
],
"method": "estimate",
"currency": "<string>",
"forecast_range_unit": "spend",
"demographic_system": "nielsen",
"demographic": "<string>",
"measurement_source": "<string>",
"reach_unit": "individuals",
"generated_at": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z",
"ext": {}
},
"ext": {}
}
],
"ext": {
"interchange": {
"storefront_id": "<string>",
"storefront_name": "<string>",
"source_proposal_id": "<string>",
"sales_agent_id": "<string>",
"evaluation": {
"disposition": "accept",
"evaluated": true,
"confidence": 0.5,
"reasons": [
"<string>"
],
"quality_score": 0.5,
"enrichment": {
"summary": "<string>",
"strengths": [
"<string>"
],
"concerns": [
"<string>"
],
"labels": [
"<string>"
]
},
"ranking": {
"rank": 4503599627370496,
"score": 0.5,
"rationale": "<string>",
"provisional": true
}
},
"screening": {
"decision": "accept",
"evaluated": true,
"confidence": 0.5,
"reasons": [
"<string>"
],
"quality_score": 0.5
}
}
},
"description": "<string>",
"proposal_status": "draft",
"expires_at": "2023-11-07T05:31:56Z",
"insertion_order": {
"io_id": "<string>",
"requires_signature": true,
"terms": {
"advertiser": "<string>",
"publisher": "<string>",
"total_budget": {
"amount": 1,
"currency": "<string>"
},
"flight_start": "2023-11-07T05:31:56Z",
"flight_end": "2023-11-07T05:31:56Z",
"payment_terms": "net_30"
},
"terms_url": "<string>",
"signing_url": "<string>"
},
"total_budget_guidance": {
"min": 1,
"recommended": 1,
"max": 1,
"currency": "<string>"
},
"brief_alignment": "<string>",
"forecast": {
"points": [
{
"metrics": {
"audience_size": {
"low": 1,
"mid": 1,
"high": 1
},
"reach": {
"low": 1,
"mid": 1,
"high": 1
},
"frequency": {
"low": 1,
"mid": 1,
"high": 1
},
"impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"clicks": {
"low": 1,
"mid": 1,
"high": 1
},
"spend": {
"low": 1,
"mid": 1,
"high": 1
},
"views": {
"low": 1,
"mid": 1,
"high": 1
},
"completed_views": {
"low": 1,
"mid": 1,
"high": 1
},
"grps": {
"low": 1,
"mid": 1,
"high": 1
},
"engagements": {
"low": 1,
"mid": 1,
"high": 1
},
"follows": {
"low": 1,
"mid": 1,
"high": 1
},
"saves": {
"low": 1,
"mid": 1,
"high": 1
},
"profile_visits": {
"low": 1,
"mid": 1,
"high": 1
},
"measured_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"downloads": {
"low": 1,
"mid": 1,
"high": 1
},
"plays": {
"low": 1,
"mid": 1,
"high": 1
},
"coverage_rate": "<unknown>"
},
"label": "<string>",
"budget": 1,
"product_id": "<string>",
"dimensions": [
{
"kind": "geo",
"geo_level": "country",
"geo_code": "<string>",
"system": "<string>",
"country": "<string>",
"geo_name": "<string>"
}
],
"viewability": {},
"vendor_metric_values": [
{
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"metric_id": "<string>",
"value": {
"low": 1,
"mid": 1,
"high": 1
},
"unit": "<string>",
"measurable_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"breakdown": {}
}
]
}
],
"method": "estimate",
"currency": "<string>",
"forecast_range_unit": "spend",
"demographic_system": "nielsen",
"demographic": "<string>",
"measurement_source": "<string>",
"reach_unit": "individuals",
"generated_at": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z",
"ext": {}
}
}
],
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"suggestion": "<string>",
"retry_after": 1800.5,
"issues": [
{
"pointer": "<string>",
"message": "<string>",
"keyword": "<string>",
"schemaPath": "<string>",
"schema_id": "<string>",
"discriminator": [
{
"property_name": "<string>",
"value": "<string>"
}
]
}
],
"details": {},
"recovery": "transient",
"source": "producer",
"sdk_id": "<string>"
}
],
"property_list_applied": true,
"catalog_applied": true,
"refinement_applied": [
{
"scope": "request",
"status": "applied",
"notes": "<string>"
}
],
"incomplete": [
{
"scope": "products",
"description": "<string>",
"estimated_wait": {
"interval": 2,
"unit": "seconds"
}
}
],
"filter_diagnostics": {
"semantics": "only",
"total_candidates": 1,
"excluded_by": {}
},
"pagination": {
"has_more": true,
"cursor": "<string>",
"total_count": 1
},
"wholesale_feed_version": "<string>",
"pricing_version": "<string>",
"unchanged": true,
"sandbox": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Get products across storefronts
Send a canonical AdCP get_products request across selected or all connected storefronts. Omit ext.interchange.screening for unscreened retrieval or provide buyer instructions for managed proposal accept, reject, and refine screening. Provisional responses are replacement snapshots; terminal cursors bind to the frozen result.
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/products/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"buying_mode": "brief"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/products/query"
payload = { "buying_mode": "brief" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({buying_mode: 'brief'})
};
fetch('https://api.interchange.io/api/v2/buyer/products/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "completed",
"products": [
{
"product_id": "sf1:42:d2g6c291cmNlOnByb2R1Y3Q",
"name": "<string>",
"description": "<string>",
"publisher_properties": [
{
"selection_type": "all",
"publisher_domain": "<string>",
"publisher_domains": [
"<string>"
]
}
],
"delivery_type": "guaranteed",
"pricing_options": [
{
"pricing_option_id": "<string>",
"pricing_model": "cpm",
"currency": "<string>",
"fixed_price": 1,
"floor_price": 1,
"max_bid": true,
"price_guidance": {
"p25": 1,
"p50": 1,
"p75": 1,
"p90": 1
},
"min_spend_per_package": 1,
"price_breakdown": {
"list_price": 123,
"adjustments": [
{}
]
},
"eligible_adjustments": [
"fee"
]
}
],
"reporting_capabilities": {
"available_reporting_frequencies": [
"hourly"
],
"expected_delay_minutes": 1,
"timezone": "<string>",
"supports_webhooks": true,
"available_metrics": [
"impressions"
],
"date_range_support": "date_range",
"vendor_metrics": [
{
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"metric_id": "<string>"
}
],
"supports_creative_breakdown": true,
"supports_keyword_breakdown": true,
"supports_geo_breakdown": {
"country": true,
"region": true,
"metro": {},
"postal_area": {
"US": [
"zip"
],
"GB": [
"outward"
],
"CA": [
"fsa"
],
"DE": [
"plz"
],
"CH": [
"plz"
],
"AT": [
"plz"
],
"FR": [
"code_postal"
],
"AU": [
"postcode"
],
"BR": [
"cep"
],
"IN": [
"pin"
],
"ZA": [
"postal_code"
],
"us_zip": true,
"us_zip_plus_four": true,
"gb_outward": true,
"gb_full": true,
"ca_fsa": true,
"ca_full": true,
"de_plz": true,
"fr_code_postal": true,
"au_postcode": true,
"ch_plz": true,
"at_plz": true
}
},
"supports_device_type_breakdown": true,
"supports_device_platform_breakdown": true,
"supports_audience_breakdown": true,
"supports_placement_breakdown": true,
"windowed_pull_granularities": [
"hourly"
],
"measurement_windows": [
{
"window_id": "<string>",
"duration_days": 1,
"description": "<string>",
"expected_availability_days": 1,
"is_guarantee_basis": true
}
]
},
"ext": {
"interchange": {
"storefront_id": "<string>",
"storefront_name": "<string>",
"source_product_id": "<string>",
"sales_agent_id": "<string>",
"evaluation": {
"disposition": "accept",
"evaluated": true,
"confidence": 0.5,
"reasons": [
"<string>"
],
"quality_score": 0.5,
"enrichment": {
"summary": "<string>",
"strengths": [
"<string>"
],
"concerns": [
"<string>"
],
"labels": [
"<string>"
]
},
"ranking": {
"rank": 4503599627370496,
"score": 0.5,
"rationale": "<string>",
"provisional": true
}
},
"screening": {
"decision": "accept",
"evaluated": true,
"confidence": 0.5,
"reasons": [
"<string>"
],
"quality_score": 0.5
}
}
},
"channels": [
"display"
],
"format_ids": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 2,
"height": 2,
"duration_ms": 2
}
],
"format_options": [
{
"format_kind": "image",
"params": {
"experimental": true,
"deprecated": true,
"v1_translatable": true,
"since_version": "<string>",
"migration_target_version": "<string>",
"composition_model": "deterministic",
"provenance_required": true,
"platform_extensions": [
{
"uri": "<string>",
"digest": "<string>"
}
],
"synthesis_nondeterministic": true,
"slots": "<unknown>",
"required_connections": [
{
"connection_type": "advertiser_account",
"provider": "<string>",
"required_for": [
"<string>"
],
"scope": "account",
"status": "connected",
"connection_id": "<string>",
"resource_ref": {
"platform_account_id": "<string>",
"identity_id": "<string>",
"handle": "<string>",
"profile_url": "<string>",
"post_id": "<string>",
"post_url": "<string>"
},
"authorization_url": "<string>",
"authorization_instructions": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"reference_mutability": "immutable_snapshot",
"production_window_business_days": 123,
"width": 2,
"height": 2,
"sizes": [
{
"width": 2,
"height": 2
}
],
"min_width": 2,
"max_width": 2,
"min_height": 2,
"max_height": 2,
"aspect_ratio": "<string>",
"max_file_size_kb": 2,
"image_formats": [
"jpg"
],
"ssl_required": true,
"headline_max_chars": 2,
"body_text_max_chars": 2,
"cta_values": [
"<string>"
],
"asset_source": "buyer_uploaded",
"buyer_asset_acceptance": "accepted"
},
"format_option_id": "<string>",
"publisher_domain": "<string>",
"display_name": "<string>",
"applies_to_channels": [
"display"
],
"seller_preference": "preferred",
"canonical_formats_only": true,
"experimental": true,
"format_shape": "<string>",
"v1_format_ref": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 2,
"height": 2,
"duration_ms": 2
}
],
"format_schema": {
"uri": "<string>",
"digest": "<string>"
}
}
],
"placements": [
{
"kind": "publisher_ref",
"placement_id": "<string>",
"mode": "targetable",
"publisher_domain": "<string>",
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"format_ids": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 2,
"height": 2,
"duration_ms": 2
}
],
"format_options": [
{
"format_kind": "image",
"params": {
"experimental": true,
"deprecated": true,
"v1_translatable": true,
"since_version": "<string>",
"migration_target_version": "<string>",
"composition_model": "deterministic",
"provenance_required": true,
"platform_extensions": [
{
"uri": "<string>",
"digest": "<string>"
}
],
"synthesis_nondeterministic": true,
"slots": "<unknown>",
"required_connections": [
{
"connection_type": "advertiser_account",
"provider": "<string>",
"required_for": [
"<string>"
],
"scope": "account",
"status": "connected",
"connection_id": "<string>",
"resource_ref": {
"platform_account_id": "<string>",
"identity_id": "<string>",
"handle": "<string>",
"profile_url": "<string>",
"post_id": "<string>",
"post_url": "<string>"
},
"authorization_url": "<string>",
"authorization_instructions": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"reference_mutability": "immutable_snapshot",
"production_window_business_days": 123,
"width": 2,
"height": 2,
"sizes": [
{
"width": 2,
"height": 2
}
],
"min_width": 2,
"max_width": 2,
"min_height": 2,
"max_height": 2,
"aspect_ratio": "<string>",
"max_file_size_kb": 2,
"image_formats": [
"jpg"
],
"ssl_required": true,
"headline_max_chars": 2,
"body_text_max_chars": 2,
"cta_values": [
"<string>"
],
"asset_source": "buyer_uploaded",
"buyer_asset_acceptance": "accepted"
},
"format_option_id": "<string>",
"publisher_domain": "<string>",
"display_name": "<string>",
"applies_to_channels": [
"display"
],
"seller_preference": "preferred",
"canonical_formats_only": true,
"experimental": true,
"format_shape": "<string>",
"v1_format_ref": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 2,
"height": 2,
"duration_ms": 2
}
],
"format_schema": {
"uri": "<string>",
"digest": "<string>"
}
}
],
"video_placement_types": [
"instream"
],
"audio_distribution_types": [
"music_streaming_service"
],
"sponsored_placement_types": [
"sponsored_search"
],
"social_placement_surfaces": [
"feed"
]
}
],
"video_placement_types": [
"instream"
],
"audio_distribution_types": [
"music_streaming_service"
],
"sponsored_placement_types": [
"sponsored_search"
],
"social_placement_surfaces": [
"feed"
],
"exclusivity": "none",
"forecast": {
"points": [
{
"metrics": {
"audience_size": {
"low": 1,
"mid": 1,
"high": 1
},
"reach": {
"low": 1,
"mid": 1,
"high": 1
},
"frequency": {
"low": 1,
"mid": 1,
"high": 1
},
"impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"clicks": {
"low": 1,
"mid": 1,
"high": 1
},
"spend": {
"low": 1,
"mid": 1,
"high": 1
},
"views": {
"low": 1,
"mid": 1,
"high": 1
},
"completed_views": {
"low": 1,
"mid": 1,
"high": 1
},
"grps": {
"low": 1,
"mid": 1,
"high": 1
},
"engagements": {
"low": 1,
"mid": 1,
"high": 1
},
"follows": {
"low": 1,
"mid": 1,
"high": 1
},
"saves": {
"low": 1,
"mid": 1,
"high": 1
},
"profile_visits": {
"low": 1,
"mid": 1,
"high": 1
},
"measured_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"downloads": {
"low": 1,
"mid": 1,
"high": 1
},
"plays": {
"low": 1,
"mid": 1,
"high": 1
},
"coverage_rate": "<unknown>"
},
"label": "<string>",
"budget": 1,
"product_id": "<string>",
"dimensions": [
{
"kind": "geo",
"geo_level": "country",
"geo_code": "<string>",
"system": "<string>",
"country": "<string>",
"geo_name": "<string>"
}
],
"viewability": {},
"vendor_metric_values": [
{
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"metric_id": "<string>",
"value": {
"low": 1,
"mid": 1,
"high": 1
},
"unit": "<string>",
"measurable_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"breakdown": {}
}
]
}
],
"method": "estimate",
"currency": "<string>",
"forecast_range_unit": "spend",
"demographic_system": "nielsen",
"demographic": "<string>",
"measurement_source": "<string>",
"reach_unit": "individuals",
"generated_at": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z",
"ext": {}
},
"outcome_measurement": {
"type": "<string>",
"attribution": "<string>",
"reporting": "<string>",
"window": {
"interval": 2,
"unit": "seconds"
}
},
"delivery_measurement": {
"vendors": [
{
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
}
],
"provider": "<string>",
"notes": "<string>"
},
"measurement_terms": {
"billing_measurement": {
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"max_variance_percent": 1,
"measurement_window": "<string>",
"finalization_deadline_hours": 1
},
"makegood_policy": {
"available_remedies": [
"additional_delivery"
]
}
},
"performance_standards": [
{
"metric": "viewability",
"threshold": 0.5,
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"standard": "mrc"
}
],
"cancellation_policy": {
"notice_period": {
"interval": 2,
"unit": "seconds"
},
"cancellation_fee": {
"type": "percent_remaining",
"rate": 0.5,
"amount": 1
}
},
"allowed_actions": [
{
"action": "pause",
"modes": [
"self_serve"
],
"allowed_statuses": [
"pending_creatives"
],
"sla": {
"response_max": "<string>",
"completion_max": "<string>"
},
"terms_ref": "<string>"
}
],
"creative_policy": {
"co_branding": "required",
"landing_page": "any",
"templates_available": true,
"provenance_required": true,
"provenance_requirements": {
"require_digital_source_type": true,
"require_disclosure_metadata": true,
"require_embedded_provenance": true
},
"accepted_verifiers": [
{
"agent_url": "<string>",
"feature_id": "<string>",
"providers": [
"<string>"
]
}
]
},
"is_custom": true,
"property_targeting_allowed": true,
"data_provider_signals": [
{
"data_provider_domain": "<string>",
"selection_type": "all"
}
],
"included_signals": [
{
"signal_ref": {
"scope": "product",
"signal_id": "<string>"
},
"signal_id": {
"source": "catalog",
"data_provider_domain": "<string>",
"id": "<string>"
},
"name": "<string>",
"description": "<string>",
"methodology_url": "<string>",
"last_updated": "2023-11-07T05:31:56Z",
"value_type": "binary",
"categories": [
"<string>"
],
"range": {
"min": 123,
"max": 123
}
}
],
"signal_targeting_options": [
{
"signal_ref": {
"scope": "product",
"signal_id": "<string>"
},
"signal_id": {
"source": "catalog",
"data_provider_domain": "<string>",
"id": "<string>"
},
"name": "<string>",
"description": "<string>",
"methodology_url": "<string>",
"last_updated": "<string>",
"value_type": "binary",
"categories": [
"<string>"
],
"range": {
"min": 123,
"max": 123
},
"signal_agent_segment_id": "<string>",
"activation_status": "ready",
"allowed_targeting_modes": [
"include"
],
"default_selected": true,
"selection_group": "<string>",
"pricing_options": [
{
"pricing_option_id": "<string>",
"model": "cpm",
"cpm": 1,
"currency": "<string>",
"applies_to_output_format_ids": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 2,
"height": 2,
"duration_ms": 2
}
],
"ext": {}
}
]
}
],
"signal_targeting_rules": {
"resolution_model": "direct_targeting",
"selection_mode": "optional",
"min_selected_signals": 1,
"max_selected_signals": 2,
"max_selected_per_group": 2,
"max_signal_targeting_groups": 2,
"max_signals_per_targeting_group": 2,
"selection_group_rules": [
{
"selection_group": "<string>",
"targeting_mode": "include",
"selection_mode": "optional",
"min_selected_signals": 1,
"max_selected_signals": 2
}
]
},
"signal_targeting_allowed": true,
"catalog_types": [
"offering"
],
"metric_optimization": {
"supported_metrics": [
"clicks"
],
"supported_reach_units": [
"individuals"
],
"supported_view_durations": [
123
],
"supported_targets": [
"cost_per"
]
},
"vendor_metric_optimization": {
"supported_metrics": [
{
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"metric_id": "<string>",
"supported_targets": [
"cost_per"
]
}
]
},
"max_optimization_goals": 2,
"measurement_readiness": {
"status": "insufficient",
"required_event_types": [
"page_view"
],
"missing_event_types": [
"page_view"
],
"issues": [
{
"severity": "error",
"message": "<string>"
}
],
"notes": "<string>"
},
"conversion_tracking": {
"action_sources": [
"website"
],
"supported_targets": [
"cost_per"
],
"platform_managed": true
},
"catalog_match": {
"submitted_count": 1,
"matched_gtins": [
"<string>"
],
"matched_ids": [
"<string>"
],
"matched_count": 1
},
"brief_relevance": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"product_card": {
"image": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"title": "<string>",
"description": "<string>",
"price_label": "<string>",
"cta_label": "<string>"
},
"product_card_detailed": {
"hero_image": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"carousel_images": [
{
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
}
],
"title": "<string>",
"description": "<string>",
"specifications": [
{
"label": "<string>",
"value": "<string>"
}
],
"price_label": "<string>",
"cta_label": "<string>"
},
"collections": [
{
"publisher_domain": "<string>",
"collection_ids": [
"<string>"
]
}
],
"collection_targeting_allowed": true,
"installments": [
{
"installment_id": "<string>",
"collection_id": "<string>",
"name": "<string>",
"season": "<string>",
"installment_number": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"status": "scheduled",
"duration_seconds": 1,
"flexible_end": true,
"valid_until": "2023-11-07T05:31:56Z",
"content_rating": {
"system": "tv_parental",
"rating": "<string>"
},
"topics": [
"<string>"
],
"special": {
"name": "<string>",
"category": "awards",
"starts": "2023-11-07T05:31:56Z",
"ends": "2023-11-07T05:31:56Z"
},
"guest_talent": [
{
"role": "host",
"name": "<string>",
"brand_url": "<string>"
}
],
"ad_inventory": {
"expected_breaks": 1,
"total_ad_seconds": 1,
"max_ad_duration_seconds": 2,
"unplanned_breaks": true,
"supported_formats": [
"<string>"
]
},
"deadlines": {
"booking_deadline": "2023-11-07T05:31:56Z",
"cancellation_deadline": "2023-11-07T05:31:56Z",
"material_deadlines": [
{
"stage": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"label": "<string>"
}
]
},
"derivative_of": {
"installment_id": "<string>",
"type": "clip"
},
"ext": {}
}
],
"enforced_policies": [
"<string>"
],
"trusted_match": {
"context_match": true,
"identity_match": true,
"response_types": [
"activation"
],
"dynamic_brands": true,
"providers": [
{
"agent_url": "<string>",
"context_match": true,
"identity_match": true,
"countries": [
"<string>"
],
"uid_types": [
"rampid"
]
}
]
},
"material_submission": {
"url": "<string>",
"email": "jsmith@example.com",
"instructions": "<string>",
"ext": {}
}
}
],
"cache_scope": "account",
"ext": {
"interchange": {
"execution_id": "<string>",
"revision": 4503599627370495,
"results_complete": true,
"provisional": true,
"candidate_count": 4503599627370495,
"storefront_results": [
{
"storefront_id": "<string>",
"storefront_name": "<string>",
"product_count": 4503599627370495,
"response_time_ms": 4503599627370495,
"error": "<string>",
"message": "<string>"
}
],
"evaluation": {
"enabled": true,
"evaluation_passes": 4503599627370495,
"ranking_passes": 4503599627370495,
"candidates_evaluated": 4503599627370495,
"candidates_ranked": 4503599627370495,
"accepted": 4503599627370495,
"rejected": 4503599627370495,
"refining": 4503599627370495,
"refinement_limit_reached": 4503599627370495,
"estimated_ius": 1,
"charged_ius": 1,
"model_class": "fast"
},
"screening": {
"enabled": true,
"screening_passes": 4503599627370495,
"candidates_evaluated": 4503599627370495,
"accepted": 4503599627370495,
"rejected": 4503599627370495,
"refining": 4503599627370495,
"refinement_limit_reached": 4503599627370495,
"estimated_ius": 1,
"charged_ius": 1,
"model_class": "fast"
},
"pending_agents": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"storefronts": [
{
"storefront_id": "<string>",
"storefront_name": "<string>"
}
]
}
],
"retry_with_longer_wait_available": true,
"poll_after_ms": 4503599627370496,
"guidance": "<string>"
}
},
"context_id": "<string>",
"context": {},
"task_id": "<string>",
"message": "<string>",
"timestamp": "<string>",
"replayed": true,
"adcp_error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"suggestion": "<string>",
"retry_after": 1800.5,
"issues": [
{
"pointer": "<string>",
"message": "<string>",
"keyword": "<string>",
"schemaPath": "<string>",
"schema_id": "<string>",
"discriminator": [
{
"property_name": "<string>",
"value": "<string>"
}
]
}
],
"details": {},
"recovery": "transient",
"source": "producer",
"sdk_id": "<string>"
},
"push_notification_config": {
"url": "<string>",
"operation_id": "<string>",
"token": "<string>",
"authentication": {
"schemes": [
"Bearer"
],
"credentials": "<string>"
}
},
"governance_context": "<string>",
"payload": {},
"adcp_version": "<string>",
"adcp_major_version": 123,
"extensions": {},
"proposals": [
{
"proposal_id": "sfp1:42:cHJvcG9zYWwtNw",
"name": "<string>",
"allocations": [
{
"product_id": "sf1:42:d2g6c291cmNlOnByb2R1Y3Q",
"allocation_percentage": 50,
"pricing_option_id": "<string>",
"rationale": "<string>",
"sequence": 2,
"tags": [
"<string>"
],
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"daypart_targets": [
{
"days": [
"monday"
],
"start_hour": 11.5,
"end_hour": 12.5,
"label": "<string>"
}
],
"forecast": {
"points": [
{
"metrics": {
"audience_size": {
"low": 1,
"mid": 1,
"high": 1
},
"reach": {
"low": 1,
"mid": 1,
"high": 1
},
"frequency": {
"low": 1,
"mid": 1,
"high": 1
},
"impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"clicks": {
"low": 1,
"mid": 1,
"high": 1
},
"spend": {
"low": 1,
"mid": 1,
"high": 1
},
"views": {
"low": 1,
"mid": 1,
"high": 1
},
"completed_views": {
"low": 1,
"mid": 1,
"high": 1
},
"grps": {
"low": 1,
"mid": 1,
"high": 1
},
"engagements": {
"low": 1,
"mid": 1,
"high": 1
},
"follows": {
"low": 1,
"mid": 1,
"high": 1
},
"saves": {
"low": 1,
"mid": 1,
"high": 1
},
"profile_visits": {
"low": 1,
"mid": 1,
"high": 1
},
"measured_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"downloads": {
"low": 1,
"mid": 1,
"high": 1
},
"plays": {
"low": 1,
"mid": 1,
"high": 1
},
"coverage_rate": "<unknown>"
},
"label": "<string>",
"budget": 1,
"product_id": "<string>",
"dimensions": [
{
"kind": "geo",
"geo_level": "country",
"geo_code": "<string>",
"system": "<string>",
"country": "<string>",
"geo_name": "<string>"
}
],
"viewability": {},
"vendor_metric_values": [
{
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"metric_id": "<string>",
"value": {
"low": 1,
"mid": 1,
"high": 1
},
"unit": "<string>",
"measurable_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"breakdown": {}
}
]
}
],
"method": "estimate",
"currency": "<string>",
"forecast_range_unit": "spend",
"demographic_system": "nielsen",
"demographic": "<string>",
"measurement_source": "<string>",
"reach_unit": "individuals",
"generated_at": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z",
"ext": {}
},
"ext": {}
}
],
"ext": {
"interchange": {
"storefront_id": "<string>",
"storefront_name": "<string>",
"source_proposal_id": "<string>",
"sales_agent_id": "<string>",
"evaluation": {
"disposition": "accept",
"evaluated": true,
"confidence": 0.5,
"reasons": [
"<string>"
],
"quality_score": 0.5,
"enrichment": {
"summary": "<string>",
"strengths": [
"<string>"
],
"concerns": [
"<string>"
],
"labels": [
"<string>"
]
},
"ranking": {
"rank": 4503599627370496,
"score": 0.5,
"rationale": "<string>",
"provisional": true
}
},
"screening": {
"decision": "accept",
"evaluated": true,
"confidence": 0.5,
"reasons": [
"<string>"
],
"quality_score": 0.5
}
}
},
"description": "<string>",
"proposal_status": "draft",
"expires_at": "2023-11-07T05:31:56Z",
"insertion_order": {
"io_id": "<string>",
"requires_signature": true,
"terms": {
"advertiser": "<string>",
"publisher": "<string>",
"total_budget": {
"amount": 1,
"currency": "<string>"
},
"flight_start": "2023-11-07T05:31:56Z",
"flight_end": "2023-11-07T05:31:56Z",
"payment_terms": "net_30"
},
"terms_url": "<string>",
"signing_url": "<string>"
},
"total_budget_guidance": {
"min": 1,
"recommended": 1,
"max": 1,
"currency": "<string>"
},
"brief_alignment": "<string>",
"forecast": {
"points": [
{
"metrics": {
"audience_size": {
"low": 1,
"mid": 1,
"high": 1
},
"reach": {
"low": 1,
"mid": 1,
"high": 1
},
"frequency": {
"low": 1,
"mid": 1,
"high": 1
},
"impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"clicks": {
"low": 1,
"mid": 1,
"high": 1
},
"spend": {
"low": 1,
"mid": 1,
"high": 1
},
"views": {
"low": 1,
"mid": 1,
"high": 1
},
"completed_views": {
"low": 1,
"mid": 1,
"high": 1
},
"grps": {
"low": 1,
"mid": 1,
"high": 1
},
"engagements": {
"low": 1,
"mid": 1,
"high": 1
},
"follows": {
"low": 1,
"mid": 1,
"high": 1
},
"saves": {
"low": 1,
"mid": 1,
"high": 1
},
"profile_visits": {
"low": 1,
"mid": 1,
"high": 1
},
"measured_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"downloads": {
"low": 1,
"mid": 1,
"high": 1
},
"plays": {
"low": 1,
"mid": 1,
"high": 1
},
"coverage_rate": "<unknown>"
},
"label": "<string>",
"budget": 1,
"product_id": "<string>",
"dimensions": [
{
"kind": "geo",
"geo_level": "country",
"geo_code": "<string>",
"system": "<string>",
"country": "<string>",
"geo_name": "<string>"
}
],
"viewability": {},
"vendor_metric_values": [
{
"vendor": {
"domain": "<string>",
"brand_id": "<string>",
"industries": [
"<string>"
],
"data_subject_contestation": {
"url": "<string>",
"email": "jsmith@example.com",
"languages": [
"<string>"
]
},
"brand_kit_override": {
"logo": {
"asset_type": "image",
"url": "<string>",
"width": 2,
"height": 2,
"format": "<string>",
"alt_text": "<string>",
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "2023-11-07T05:31:56Z",
"created_time": "2023-11-07T05:31:56Z",
"c2pa": {
"manifest_url": "<string>"
},
"embedded_provenance": [
{
"method": "manifest_wrapper",
"provider": "<string>",
"standard": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"watermarks": [
{
"media_type": "audio",
"provider": "<string>",
"verify_agent": {
"agent_url": "<string>",
"feature_id": "<string>"
},
"c2pa_action": "c2pa.watermarked.bound",
"embedded_at": "2023-11-07T05:31:56Z"
}
],
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 2,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"details_url": "<string>"
}
],
"ext": {}
}
},
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"voice": "<string>",
"tagline": "<string>"
}
},
"metric_id": "<string>",
"value": {
"low": 1,
"mid": 1,
"high": 1
},
"unit": "<string>",
"measurable_impressions": {
"low": 1,
"mid": 1,
"high": 1
},
"breakdown": {}
}
]
}
],
"method": "estimate",
"currency": "<string>",
"forecast_range_unit": "spend",
"demographic_system": "nielsen",
"demographic": "<string>",
"measurement_source": "<string>",
"reach_unit": "individuals",
"generated_at": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z",
"ext": {}
}
}
],
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"suggestion": "<string>",
"retry_after": 1800.5,
"issues": [
{
"pointer": "<string>",
"message": "<string>",
"keyword": "<string>",
"schemaPath": "<string>",
"schema_id": "<string>",
"discriminator": [
{
"property_name": "<string>",
"value": "<string>"
}
]
}
],
"details": {},
"recovery": "transient",
"source": "producer",
"sdk_id": "<string>"
}
],
"property_list_applied": true,
"catalog_applied": true,
"refinement_applied": [
{
"scope": "request",
"status": "applied",
"notes": "<string>"
}
],
"incomplete": [
{
"scope": "products",
"description": "<string>",
"estimated_wait": {
"interval": 2,
"unit": "seconds"
}
}
],
"filter_diagnostics": {
"semantics": "only",
"total_candidates": 1,
"excluded_by": {}
},
"pagination": {
"has_more": true,
"cursor": "<string>",
"total_count": 1
},
"wholesale_feed_version": "<string>",
"pricing_version": "<string>",
"unchanged": true,
"sandbox": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
Canonical AdCP get_products request with optional Interchange multi-storefront and buyer-intelligence controls.
brief - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
guaranteed Show child attributes
Show child attributes
Show child attributes
Show child attributes
product_id Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Get products across storefronts
Canonical flat AdCP product page with Interchange progressive and optional buyer-intelligence metadata.
completed Show child attributes
Show child attributes
account Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
true